diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
index 0bbf66a..941688f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/constraints/exclusion_constraint/static/js/exclusion_constraint.js
@@ -720,7 +720,7 @@ define('pgadmin.node.exclusion_constraint', [
                   setTimeout(function(){
                     self.model.set('amname', previous_am);
                   }, 10);
-                });
+                }).set('closable', false);
               }
             },
           }),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
index ec2b4da..159d7da 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/indexes/static/js/index.js
@@ -326,7 +326,7 @@ define('pgadmin.node.index', [
                   setTimeout(function(){
                     self.model.set('amname', previous_am);
                   }, 10);
-                });
+                }).set('closable', false);
               }
             },
           }),
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
index fd53f74..dda3bf9 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/partitions/static/js/partition.js
@@ -247,7 +247,7 @@ function(
                 });
               }},
             function() {}
-          );
+          ).set('closable', false);
         },
         reset_table_stats: function(args) {
           var input = args || {},
@@ -298,7 +298,7 @@ function(
               }
             },
             function() {}
-          );
+          ).set('closable', false);
         },
         detach_partition: function(args) {
           var input = args || {},
@@ -349,7 +349,7 @@ function(
               }
             },
             function() {}
-          );
+          ).set('closable', false);
         },
       },
       model: pgBrowser.Node.Model.extend({
@@ -744,7 +744,7 @@ function(
                   } else {
                     return this;
                   }
-                });
+                }).set('closable', false);
               } else if (!_.isUndefined(tbl_name) && tbl_name === '') {
                 column_collection.reset();
               }
diff --git a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
index 647d1bf..9cb0a8d 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/schemas/tables/static/js/table.js
@@ -226,7 +226,7 @@ define('pgadmin.node.table', [
                 });
               }
             }, function() {}
-          );
+          ).set('closable', false);
         },
         reset_table_stats: function(args) {
           var input = args || {},
@@ -277,7 +277,7 @@ define('pgadmin.node.table', [
               }
             },
             function() {}
-          );
+          ).set('closable', false);
         },
         count_table_rows: function(args) {
           var input = args || {},
@@ -788,7 +788,7 @@ define('pgadmin.node.table', [
                         self.model.set('typname', null);
                       }, 10);
                     }
-                  );
+                  ).set('closable', false);
               } else if (!_.isUndefined(tbl_name) && tbl_name === '') {
                 column_collection.remove(
                     column_collection.filter(function() { return true; })
diff --git a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
index 4d5d514..89e7b9f 100644
--- a/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
+++ b/web/pgadmin/browser/server_groups/servers/databases/static/js/database.js
@@ -146,7 +146,7 @@ define('pgadmin.node.database', [
                   pgBrowser.Events.trigger(
                     'pgadmin:database:connect:cancelled', i, d, self
                   );
-                });
+                }).set('closable', false);
             }
           }
         }
@@ -221,7 +221,7 @@ define('pgadmin.node.database', [
                 },
               });
             },
-            function() { return true; });
+            function() { return true; }).set('closable', false);
 
           return false;
         },
diff --git a/web/pgadmin/browser/server_groups/servers/static/js/server.js b/web/pgadmin/browser/server_groups/servers/static/js/server.js
index 302fe45..90c7090 100644
--- a/web/pgadmin/browser/server_groups/servers/static/js/server.js
+++ b/web/pgadmin/browser/server_groups/servers/static/js/server.js
@@ -240,7 +240,7 @@ define('pgadmin.node.server', [
               ),
               function() { disconnect(); },
               function() { return true;}
-            );
+            ).set('closable', false);
           } else {
             disconnect();
           }
@@ -313,7 +313,7 @@ define('pgadmin.node.server', [
               });
             },
             function() { return true; }
-          );
+          ).set('closable', false);
 
           return false;
         },
@@ -947,7 +947,7 @@ define('pgadmin.node.server', [
                     'pgadmin:server:connect:cancelled', i, d, self
                   );
                   t.select(i);
-                });
+                }).set('closable', false);
             }
           }
         }
diff --git a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
index 1dd02e6..66de9e9 100644
--- a/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
+++ b/web/pgadmin/browser/server_groups/servers/tablespaces/static/js/tablespace.js
@@ -300,7 +300,7 @@ define('pgadmin.node.tablespace', [
                       function() {
                         // Do nothing as user cancel the operation
                       }
-                    );
+                    ).set('closable', false);
                   }
                 },
               };
diff --git a/web/pgadmin/browser/static/js/node.js b/web/pgadmin/browser/static/js/node.js
index ad58248..6d9b9d0 100644
--- a/web/pgadmin/browser/static/js/node.js
+++ b/web/pgadmin/browser/static/js/node.js
@@ -644,7 +644,7 @@ define('pgadmin.browser.node', [
                     o.showProperties(i, d, p, args.action);
                   }, 10);
                 },
-                null).show();
+                null).set('closable', false).show();
             } else {
               setTimeout(function() {
                 o.showProperties(i, d, p, args.action);
@@ -747,7 +747,7 @@ define('pgadmin.browser.node', [
               },
             });
           },
-          null).show();
+          null).set('closable', false).show();
       },
       // Callback for creating script(s) & opening them in Query editor
       show_script: function(args, item) {
diff --git a/web/pgadmin/dashboard/static/js/dashboard.js b/web/pgadmin/dashboard/static/js/dashboard.js
index e4f0dd5..e0bea4a 100644
--- a/web/pgadmin/dashboard/static/js/dashboard.js
+++ b/web/pgadmin/dashboard/static/js/dashboard.js
@@ -112,7 +112,7 @@ define('pgadmin.dashboard', [
         function() {
           return true;
         }
-      );
+      ).set('closable', false);
     },
   });
 
diff --git a/web/pgadmin/settings/static/js/settings.js b/web/pgadmin/settings/static/js/settings.js
index 634368c..4c63922 100644
--- a/web/pgadmin/settings/static/js/settings.js
+++ b/web/pgadmin/settings/static/js/settings.js
@@ -51,7 +51,7 @@ define('pgadmin.settings', [
         function() {
           // Do nothing as user canceled the operation.
         }
-      );
+      ).set('closable', false);
     },
   };
 
diff --git a/web/pgadmin/static/js/backgrid.pgadmin.js b/web/pgadmin/static/js/backgrid.pgadmin.js
index eb4516a..3aaf051 100644
--- a/web/pgadmin/static/js/backgrid.pgadmin.js
+++ b/web/pgadmin/static/js/backgrid.pgadmin.js
@@ -408,7 +408,7 @@ define([
           function() {
             return true;
           }
-        );
+        ).set('closable', false);
       } else {
         Alertify.alert(gettext('This object cannot be deleted.'),
           function() {
diff --git a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
index 60dacbb..a40f0a5 100644
--- a/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
+++ b/web/pgadmin/tools/sqleditor/static/js/sqleditor.js
@@ -1557,9 +1557,11 @@ define('tools.querytool', [
           function() {
             return true;
           }
-        ).set('labels', {
+        ).set({'labels': {
           ok: gettext('Yes'),
           cancel: gettext('No'),
+        },
+          'closable':false,
         });
       } else {
         self.query_tool_obj.setValue('');
@@ -1587,9 +1589,11 @@ define('tools.querytool', [
         function() {
           return true;
         }
-      ).set('labels', {
+      ).set({'labels': {
         ok: gettext('Yes'),
         cancel: gettext('No'),
+      },
+        'closable':false,
       });
     },
 
@@ -1901,10 +1905,11 @@ define('tools.querytool', [
             self.saveState();
           })
           .set({
-            labels: {
+            'labels': {
               ok: gettext('Continue'),
               cancel: gettext('Cancel'),
             },
+            'closable':false,
           });
       },
       init_connection: function(create_transaction, passdata) {
@@ -2078,9 +2083,11 @@ define('tools.querytool', [
               // Stop, User wants to save
               return true;
             }
-          ).set('labels', {
+          ).set({'labels': {
             ok: gettext('Yes'),
             cancel: gettext('No'),
+          },
+            'closable':false,
           });
         } else {
           self._run_query();
@@ -2596,9 +2603,11 @@ define('tools.querytool', [
             function() {
               // Do nothing as user canceled the operation.
             }
-          ).set('labels', {
+          ).set({'labels': {
             ok: gettext('Yes'),
             cancel: gettext('No'),
+          },
+            'closable':false,
           });
         }
       },
@@ -2868,9 +2877,11 @@ define('tools.querytool', [
             function() {
               return true;
             }
-          ).set('labels', {
+          ).set({'labels': {
             ok: 'Yes',
             cancel: 'No',
+          },
+            'closable':false,
           });
         } else {
           self._open_select_file_manager();
diff --git a/web/pgadmin/tools/user_management/static/js/user_management.js b/web/pgadmin/tools/user_management/static/js/user_management.js
index dcf65cb..5887101 100644
--- a/web/pgadmin/tools/user_management/static/js/user_management.js
+++ b/web/pgadmin/tools/user_management/static/js/user_management.js
@@ -540,7 +540,7 @@ define([
                   function() {
                     return true;
                   }
-                );
+                ).set('closable', false);
               }
             } else {
               alertify.alert(
@@ -883,7 +883,7 @@ define([
                       // Do nothing.
                       return true;
                     }
-                  );
+                  ).set('closable', false);
                 }
               }
             },
